class KeywordAttributesController < ApplicationController

  layout "gfdnavi"

  def index
    unless params[:path]
      respond_to do |format|
        format.html {
          flash[:notice] = "not acceptable"
          redirect_to :status => :not_acceptable, :controller => "finder"
        }
        format.xml { head :not_acceptable }
      end
      return
    end
    path = File.join("",params[:path])
    user = (login=session[:user]) && User.find_by_login(login)
    node = Node.find(:first, :conditions => ["path=?",path], :user => user)
    if node
      @kas = node.keyword_attributes
      respond_to do |format|
        format.html
        format.xml { render :xml => @kas}
      end
    else
      respond_to do |format|
        format.html {
          flash[:notice] = "not found"
          redirect_to :status => :not_found, :controller => "finder"
        }
        format.xml { head :not_found }
      end
    end
  end

=begin
  def show
    if id = params[:id]
      user = (login=session[:user]) && User.find_by_login(login)
      ka = KeywordAttribute.find(id)
      if ka && ka.node(false,:user=>user)
        @ka = ka
        respond_to do |format|
          format.html
          format.xml {render :xml => @ka}
        end
        return
      end
    end
    respond_to do |format|
      format.html {
        flash[:notice] = "not found"
        redirect_to :status => :not_found, :controller => "finder"
      }
      format.xml { head :not_found }
    end
  end
=end


end
